> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getUsers

> 
The `getUsers` API retrieves detailed information for all users within a company.

### What it does:

- Returns comprehensive user details for all employees (W2) and contractors (1099) including personal information, employment status, wage, and contact data
- Provides complete user profile information for all active users in the company

### Note:
- Sensitive data, such as bank details, are ommitted from the blanket `getUsers` and must be retrieved individually



## OpenAPI

````yaml get /reports/getUsers
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getUsers:
    get:
      tags: []
      summary: getUsers
      description: >-

        The `getUsers` API retrieves detailed information for all users within a
        company.


        ### What it does:


        - Returns comprehensive user details for all employees (W2) and
        contractors (1099) including personal information, employment status,
        wage, and contact data

        - Provides complete user profile information for all active users in the
        company


        ### Note:

        - Sensitive data, such as bank details, are ommitted from the blanket
        `getUsers` and must be retrieved individually
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getUser
                companyId:
                  type: string
              required:
                - method
                - companyId
            example:
              method: getUsers
              companyId: CFC4D743-4869-4799-B1AF-B615D6CF21E5
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  users:
                    type: array
                    items:
                      type: object
                      properties:
                        user:
                          type: string
                        userId:
                          type: string
                        companyId:
                          type: string
                        status:
                          type: object
                          properties:
                            userStatus:
                              type: string
                          required:
                            - userStatus
                        WorkerType:
                          type: object
                          properties:
                            WorkerType:
                              type: string
                          required:
                            - WorkerType
                        firstName:
                          type: string
                        lastName:
                          type: string
                        middleName:
                          type: string
                        phoneNumber:
                          type: string
                        kycStatus:
                          type: string
                        jobTitle:
                          type: string
                        dateOfJoin:
                          type: string
                        email:
                          type: string
                        userWages:
                          type: array
                          items:
                            type: object
                            properties:
                              WageRate:
                                type: integer
                              WageBasis:
                                type: object
                                properties:
                                  WageBasis:
                                    type: string
                                required:
                                  - WageBasis
                              paymentMethod:
                                type: object
                                properties:
                                  PaymentMethod:
                                    type: string
                                required:
                                  - PaymentMethod
                            required:
                              - WageRate
                              - WageBasis
                              - paymentMethod
                        userAddress:
                          type: object
                          properties:
                            address1:
                              type: string
                            address2:
                              type: string
                            city:
                              type: string
                            state:
                              type: string
                            zipcode:
                              type: string
                            country:
                              type: string
                          required:
                            - address1
                            - address2
                            - city
                            - state
                            - zipcode
                            - country
                        employeeMiscellaneousStateTax:
                          type: object
                          properties:
                            RiskClassCode:
                              type: string
                            CompositeRate:
                              type: string
                            RiskClassNameEmployee:
                              type: string
                            PayrollDeductionRate:
                              type: string
                      required:
                        - user
                        - userId
                        - companyId
                        - status
                        - WorkerType
                        - firstName
                        - lastName
                        - middleName
                        - phoneNumber
                        - kycStatus
                        - jobTitle
                        - dateOfJoin
                        - email
                        - userWages
                        - userAddress
                        - employeeMiscellaneousStateTax
                required:
                  - users
              example:
                users:
                  - user: Molly  Phelps
                    userId: A9A61FBE-7C7F-48E6-9CA8-1AD8A8CB3980
                    companyId: C2019899-9EEF-49F7-9B51-70744AFAFE61
                    status:
                      userStatus: Active
                    WorkerType:
                      WorkerType: W2
                    firstName: Molly
                    lastName: Phelps
                    middleName: ''
                    phoneNumber: '9988776655'
                    kycStatus: passed
                    jobTitle: Developer
                    dateOfJoin: '2023-02-02'
                    email: phelps6600@mailsac.com
                    userWages:
                      - WageRate: 4000
                        WageBasis:
                          WageBasis: Per Month
                        paymentMethod:
                          PaymentMethod: Direct Deposit
                    userAddress:
                      address1: 102 Fallsgrove Blvd
                      address2: ''
                      city: Seattle
                      state: WA
                      zipcode: '98101'
                      country: US
                    employeeMiscellaneousStateTax:
                      RiskClassCode: '643609'
                      CompositeRate: '9'
                      RiskClassNameEmployee: Plumber
                      PayrollDeductionRate: '4.5'
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid CompanyId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````